Loading...
Searching...
No Matches
GeometryVisitor Class Reference

Visitor that determines the geometry of the scene. More...

`#include <geometryvisitor.h>`

Inheritance diagram for GeometryVisitor:

## Public Member Functions

void | visit (Node &) override
void | visit (GroupNode &) override
void | visit (GeometryNode &) override
void | visit (Drawable &) override
void | visit (SphereGeometry &) override
void | visit (AmbientOcclusionSphereGeometry &) override
void | visit (CurveGeometry &) override
void | visit (CylinderGeometry &) override
void | visit (MeshGeometry &) override
void | visit (TextLabel2D &) override
void | visit (TextLabel3D &) override
void | visit (LineStripGeometry &) override
void | visit (WideLineGeometry &) override
void | clear ()
Vector3f | center ()
float | radius ()

## Detailed Description

<avogadro/rendering/geometryvisitor.h>

Author
  Marcus D. Hanwell

This visitor will attempt to determine the geometry of the scene, most notably the center and radius of the bounding sphere.

## Member Function Documentation

## visit() [1/13]

void visit | ( | Node & |  | ) |

override virtual

The overloaded visit functions, the base versions of which do nothing.

Reimplemented from Visitor.

## visit() [2/13]

void visit | ( | GroupNode & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [3/13]

void visit | ( | GeometryNode & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [4/13]

void visit | ( | Drawable & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [5/13]

void visit | ( | SphereGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [6/13]

void visit | ( | AmbientOcclusionSphereGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [7/13]

void visit | ( | CurveGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [8/13]

void visit | ( | CylinderGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [9/13]

void visit | ( | MeshGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [10/13]

void visit | ( | TextLabel2D & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [11/13]

void visit | ( | TextLabel3D & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [12/13]

void visit | ( | LineStripGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [13/13]

void visit | ( | WideLineGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## clear()

void clear | ( |  | ) |

Clear the state of the visitor.

## center()

Vector3f center | ( |  | ) |

Get the position of the center of the scene.

## radius()

float radius | ( |  | ) |

Get the radius of the scene.

The documentation for this class was generated from the following file:

- geometryvisitor.h